package com.mdd.admin.vo.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("小程序渠道Vo")
public class ChannelMpVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("小程序名称")
   private String name;
   @ApiModelProperty("原始ID")
   private String primaryId;
   @ApiModelProperty("appId")
   private String appId;
   @ApiModelProperty("appSecret")
   private String appSecret;
   @ApiModelProperty("二维码")
   private String qrCode;
   @ApiModelProperty("request合法域名")
   private String requestDomain;
   @ApiModelProperty("socket合法域名")
   private String socketDomain;
   @ApiModelProperty("uploadFile合法域名")
   private String uploadFileDomain;
   @ApiModelProperty("downloadFile合法域名")
   private String downloadFileDomain;
   @ApiModelProperty("udp合法域名")
   private String udpDomain;
   @ApiModelProperty("tcp合法域名")
   private String tcpDomain;
   @ApiModelProperty("业务域名")
   private String businessDomain;

   public String getName() {
      return this.name;
   }

   public String getPrimaryId() {
      return this.primaryId;
   }

   public String getAppId() {
      return this.appId;
   }

   public String getAppSecret() {
      return this.appSecret;
   }

   public String getQrCode() {
      return this.qrCode;
   }

   public String getRequestDomain() {
      return this.requestDomain;
   }

   public String getSocketDomain() {
      return this.socketDomain;
   }

   public String getUploadFileDomain() {
      return this.uploadFileDomain;
   }

   public String getDownloadFileDomain() {
      return this.downloadFileDomain;
   }

   public String getUdpDomain() {
      return this.udpDomain;
   }

   public String getTcpDomain() {
      return this.tcpDomain;
   }

   public String getBusinessDomain() {
      return this.businessDomain;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setPrimaryId(String primaryId) {
      this.primaryId = primaryId;
   }

   public void setAppId(String appId) {
      this.appId = appId;
   }

   public void setAppSecret(String appSecret) {
      this.appSecret = appSecret;
   }

   public void setQrCode(String qrCode) {
      this.qrCode = qrCode;
   }

   public void setRequestDomain(String requestDomain) {
      this.requestDomain = requestDomain;
   }

   public void setSocketDomain(String socketDomain) {
      this.socketDomain = socketDomain;
   }

   public void setUploadFileDomain(String uploadFileDomain) {
      this.uploadFileDomain = uploadFileDomain;
   }

   public void setDownloadFileDomain(String downloadFileDomain) {
      this.downloadFileDomain = downloadFileDomain;
   }

   public void setUdpDomain(String udpDomain) {
      this.udpDomain = udpDomain;
   }

   public void setTcpDomain(String tcpDomain) {
      this.tcpDomain = tcpDomain;
   }

   public void setBusinessDomain(String businessDomain) {
      this.businessDomain = businessDomain;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelMpVo)) {
         return false;
      } else {
         ChannelMpVo other = (ChannelMpVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label155: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label155;
                  }
               } else if (this$name.equals(other$name)) {
                  break label155;
               }

               return false;
            }

            Object this$primaryId = this.getPrimaryId();
            Object other$primaryId = other.getPrimaryId();
            if (this$primaryId == null) {
               if (other$primaryId != null) {
                  return false;
               }
            } else if (!this$primaryId.equals(other$primaryId)) {
               return false;
            }

            Object this$appId = this.getAppId();
            Object other$appId = other.getAppId();
            if (this$appId == null) {
               if (other$appId != null) {
                  return false;
               }
            } else if (!this$appId.equals(other$appId)) {
               return false;
            }

            label134: {
               Object this$appSecret = this.getAppSecret();
               Object other$appSecret = other.getAppSecret();
               if (this$appSecret == null) {
                  if (other$appSecret == null) {
                     break label134;
                  }
               } else if (this$appSecret.equals(other$appSecret)) {
                  break label134;
               }

               return false;
            }

            label127: {
               Object this$qrCode = this.getQrCode();
               Object other$qrCode = other.getQrCode();
               if (this$qrCode == null) {
                  if (other$qrCode == null) {
                     break label127;
                  }
               } else if (this$qrCode.equals(other$qrCode)) {
                  break label127;
               }

               return false;
            }

            label120: {
               Object this$requestDomain = this.getRequestDomain();
               Object other$requestDomain = other.getRequestDomain();
               if (this$requestDomain == null) {
                  if (other$requestDomain == null) {
                     break label120;
                  }
               } else if (this$requestDomain.equals(other$requestDomain)) {
                  break label120;
               }

               return false;
            }

            Object this$socketDomain = this.getSocketDomain();
            Object other$socketDomain = other.getSocketDomain();
            if (this$socketDomain == null) {
               if (other$socketDomain != null) {
                  return false;
               }
            } else if (!this$socketDomain.equals(other$socketDomain)) {
               return false;
            }

            label106: {
               Object this$uploadFileDomain = this.getUploadFileDomain();
               Object other$uploadFileDomain = other.getUploadFileDomain();
               if (this$uploadFileDomain == null) {
                  if (other$uploadFileDomain == null) {
                     break label106;
                  }
               } else if (this$uploadFileDomain.equals(other$uploadFileDomain)) {
                  break label106;
               }

               return false;
            }

            Object this$downloadFileDomain = this.getDownloadFileDomain();
            Object other$downloadFileDomain = other.getDownloadFileDomain();
            if (this$downloadFileDomain == null) {
               if (other$downloadFileDomain != null) {
                  return false;
               }
            } else if (!this$downloadFileDomain.equals(other$downloadFileDomain)) {
               return false;
            }

            label92: {
               Object this$udpDomain = this.getUdpDomain();
               Object other$udpDomain = other.getUdpDomain();
               if (this$udpDomain == null) {
                  if (other$udpDomain == null) {
                     break label92;
                  }
               } else if (this$udpDomain.equals(other$udpDomain)) {
                  break label92;
               }

               return false;
            }

            Object this$tcpDomain = this.getTcpDomain();
            Object other$tcpDomain = other.getTcpDomain();
            if (this$tcpDomain == null) {
               if (other$tcpDomain != null) {
                  return false;
               }
            } else if (!this$tcpDomain.equals(other$tcpDomain)) {
               return false;
            }

            Object this$businessDomain = this.getBusinessDomain();
            Object other$businessDomain = other.getBusinessDomain();
            if (this$businessDomain == null) {
               if (other$businessDomain != null) {
                  return false;
               }
            } else if (!this$businessDomain.equals(other$businessDomain)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelMpVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $primaryId = this.getPrimaryId();
      result = result * 59 + ($primaryId == null ? 43 : $primaryId.hashCode());
      Object $appId = this.getAppId();
      result = result * 59 + ($appId == null ? 43 : $appId.hashCode());
      Object $appSecret = this.getAppSecret();
      result = result * 59 + ($appSecret == null ? 43 : $appSecret.hashCode());
      Object $qrCode = this.getQrCode();
      result = result * 59 + ($qrCode == null ? 43 : $qrCode.hashCode());
      Object $requestDomain = this.getRequestDomain();
      result = result * 59 + ($requestDomain == null ? 43 : $requestDomain.hashCode());
      Object $socketDomain = this.getSocketDomain();
      result = result * 59 + ($socketDomain == null ? 43 : $socketDomain.hashCode());
      Object $uploadFileDomain = this.getUploadFileDomain();
      result = result * 59 + ($uploadFileDomain == null ? 43 : $uploadFileDomain.hashCode());
      Object $downloadFileDomain = this.getDownloadFileDomain();
      result = result * 59 + ($downloadFileDomain == null ? 43 : $downloadFileDomain.hashCode());
      Object $udpDomain = this.getUdpDomain();
      result = result * 59 + ($udpDomain == null ? 43 : $udpDomain.hashCode());
      Object $tcpDomain = this.getTcpDomain();
      result = result * 59 + ($tcpDomain == null ? 43 : $tcpDomain.hashCode());
      Object $businessDomain = this.getBusinessDomain();
      result = result * 59 + ($businessDomain == null ? 43 : $businessDomain.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelMpVo(name=" + this.getName() + ", primaryId=" + this.getPrimaryId() + ", appId=" + this.getAppId() + ", appSecret=" + this.getAppSecret() + ", qrCode=" + this.getQrCode() + ", requestDomain=" + this.getRequestDomain() + ", socketDomain=" + this.getSocketDomain() + ", uploadFileDomain=" + this.getUploadFileDomain() + ", downloadFileDomain=" + this.getDownloadFileDomain() + ", udpDomain=" + this.getUdpDomain() + ", tcpDomain=" + this.getTcpDomain() + ", businessDomain=" + this.getBusinessDomain() + ")";
   }
}
